commoble.looot.loot

## Class ApplyFunctionsIfTagged

- java.lang.Object
- - net.minecraft.loot.LootFunction
  - - commoble.looot.loot.ApplyFunctionsIfTagged

All Implemented Interfaces:
  java.util.function.BiFunction<net.minecraft.item.ItemStack,net.minecraft.loot.LootContext,net.minecraft.item.ItemStack>, net.minecraft.loot.functions.ILootFunction, net.minecraft.loot.IParameterized

    public class ApplyFunctionsIfTagged
    extends net.minecraft.loot.LootFunction

### Nested Class Summary

Nested Classes
`static class` `ApplyFunctionsIfTagged.Serializer`

### Nested classes/interfaces inherited from class net.minecraft.loot.LootFunction

`net.minecraft.loot.LootFunction.Builder<T extends net.minecraft.loot.LootFunction.Builder<T>>`

### Nested classes/interfaces inherited from interface net.minecraft.loot.functions.ILootFunction

`net.minecraft.loot.functions.ILootFunction.IBuilder`

### Field Summary

Fields
`static java.lang.String` `FUNCTIONS_KEY`
`static net.minecraft.util.ResourceLocation` `ID`
`static java.lang.String` `TAG_KEY`
`static net.minecraft.loot.LootFunctionType` `TYPE`

### Fields inherited from class net.minecraft.loot.LootFunction

`conditions`

### Constructor Summary

Constructors
Constructor and Description
`ApplyFunctionsIfTagged(net.minecraft.loot.conditions.ILootCondition[] conditions, net.minecraft.util.ResourceLocation tagName, net.minecraft.loot.functions.ILootFunction[] subFunctions)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected net.minecraft.item.ItemStack` `doApply(net.minecraft.item.ItemStack stack, net.minecraft.loot.LootContext context)`
`static net.minecraft.loot.LootFunction.Builder<?>` `getBuilder(net.minecraft.util.ResourceLocation tag, net.minecraft.loot.functions.ILootFunction... subFunctions)`
`net.minecraft.loot.LootFunctionType` `getFunctionType()`

### Methods inherited from class net.minecraft.loot.LootFunction

`apply, builder, func_225580_a_`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.loot.functions.ILootFunction

`func_215858_a`

### Methods inherited from interface net.minecraft.loot.IParameterized

`getRequiredParameters`

### Methods inherited from interface java.util.function.BiFunction

`andThen`

### Field Detail

#### ID

    public static final net.minecraft.util.ResourceLocation ID

#### TAG_KEY

    public static final java.lang.String TAG_KEY

See Also:
  Constant Field Values

#### FUNCTIONS_KEY

    public static final java.lang.String FUNCTIONS_KEY

See Also:
  Constant Field Values

#### TYPE

    public static final net.minecraft.loot.LootFunctionType TYPE

### Constructor Detail

#### ApplyFunctionsIfTagged

    public ApplyFunctionsIfTagged(net.minecraft.loot.conditions.ILootCondition[] conditions,
                                  net.minecraft.util.ResourceLocation tagName,
                                  net.minecraft.loot.functions.ILootFunction[] subFunctions)

### Method Detail

#### getFunctionType

    public net.minecraft.loot.LootFunctionType getFunctionType()

#### doApply

    protected net.minecraft.item.ItemStack doApply(net.minecraft.item.ItemStack stack,
                                                   net.minecraft.loot.LootContext context)

Specified by:
  `doApply` in class `net.minecraft.loot.LootFunction`

#### getBuilder

    public static net.minecraft.loot.LootFunction.Builder<?> getBuilder(net.minecraft.util.ResourceLocation tag,
                                                                        net.minecraft.loot.functions.ILootFunction... subFunctions)